﻿//////////////////////////////////////////////
// MaterialType.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ----------------------------------

// nkAstraeus
#include "../../Dll/DllDefines.h"

// nkMemory
#include <NilkinsMemory/Containers/StringView.h>

/// Enum --------------------------------------

namespace nkAstraeus
{
	enum class MATERIAL_TYPE
	{
		UNKNOWN = 0,
		PBS
	} ;

	class DLL_ASTRAEUS_EXPORT MaterialTypeUtils final
	{
		private :

			MaterialTypeUtils () = delete ;
			~MaterialTypeUtils () = delete ;

		public :

			// Translation
			static nkMemory::StringView enumToString (MATERIAL_TYPE value) ;
			static MATERIAL_TYPE stringToEnum (const nkMemory::StringView& value) ;
	} ;
}