﻿//////////////////////////////////////////////
// Point.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkWinUi
#include "../Dll/DllDefines.h"

/// Class ------------------------------------

namespace nkMaths
{	
	class DLL_MATHS_EXPORT Point final
	{
		public :

			// Attributes
			union
			{
				float _x ;
				float x ;
			} ;

			union
			{
				float _y ;
				float y ;
			} ;

		public :

			// Functions
			// Constructor, destructor
			Point () ;
			Point (float x, float y) ;
			~Point () ;
	} ;
}